   TDateTimeDlg Component

See Also	Properties

Unit

DateTime

Description

My aim for this component is to end the need for any Delphi developer to have to write another date / time selection utility.

The TDateTimeDlg can be configured to select dates, times or date/times. To find out more, see the Buttons Property

All buttons in this control can be customised: See the BtnUpGlyph Property, BtnDownGlyph Property, BtnClockGlyph Property and BtnCalendarGlyph Property for details.

The user can either edit the date/time value in the edit box, depending on the value of the EnableEditor Property

The up and down buttons (if selected) allow the user to increase or decrease the date/time value. The amount that the date/time value is changed, is set by the IncrementBy and IncrementScale properties

The About property provides details about the copyright, the version, and the author. For these details, see About TDateTimeDlg

Other Key Features

The user can change the IncrementBy and IncrementScale values by right clicking the mouse over the up or down buttons.

In addition to these properties, methods, and events, this component also has the properties, methods, and events that apply to the Edit Control.

The author is available for employment. For details, see About TDateTimeDlg


TDBDateTimeDlg


Properties

About

BtnCalendarGlyph

BtnClockGlyph

BtnDownGlyph

BtnUpGlyph

Buttons

EnableEditor

IncrementBy

IncrementScale

NumCalendarGlyphs

NumClockGlyphs

NumDownGlyphs

NumUpGlyphs


Buttons Property

See Also

Applies to

TDateTimeDlg

Declaration

Property Buttons:  TButtonOptions

Description

This property sets visible date/time selection buttons. See TButtonOptions for details.


See Also

TButtonOptions Type


TButtonOptions Type

See Also

Applies to

TDateTimeDlg

Declaration

TButtonOption = (btnCalendar, btnClock, btnIncrement)

TButtonOptions = Set of TButtonOption

Description

The TButtonOptions type indicates the list of available buttons in the TDateTimeDlg component.


See Also

Buttons Property


About TDateTimeDlg Property
About Property

See Also

Applies to

TDateTimeDlg

Declaration

property About: TAbout

Description

This property does not set any attributes of the component, it simply indicates the author, copyright, and version details.


See Also

About TDateTimeDlg

About TDBDateTimeDlg


About TDateTimeDlg

See Also

TDateTimeDlg was written by John Stathakis (e-mail: JLSTATH@MAIL.ICON.CO.ZA)

Version: 1.00

1996, John Stathakis

You may use this product freely, however, the source code and related documentation may not be changed in any way without the written permission of the author. Please note that the author will not accept responsibility for any loss resulting from the use of this or any other component.

Please contact me if you have any enquiries or bug reports.

Note: The author is currently available for employment. Please forward enquiries in this regard to the above e-mail address. Preferred destinations in the following order: Australia, United States, United Kingdom. Other destinations will be considered.


See Also

About Property


BtnUpGlyph Property

See also

Applies to

TDateTimeDlg

Declaration

property BtnUpGlyph: TBitmap

Description

Use this property to specify the bitmap used to indicate the up button

Use the NumUpGlyphs property to set the number of images on the graphic selected here


See Also

BtnDownGlyph Property

BtnCalendarGlyph Property

BtnClockGlyph Property

NumUpGlyphs Property


BtnDownGlyph Property

See Also

Declaration

property BtnDownGlyph: TBitmap

Description

Use this property to specify the bitmap used to indicate the down button

Use the NumDownGlyphs property to set the number of images on the graphic selected here


See Also

BtnUpGlyph Property

BtnCalendarGlyph Property

BtnClockGlyph Property

NumDownGlyphs Property


BtnCalendarGlyph Property

See Also

Applies to

TDateTimeDlg

Declaration

property BtnCalendarGlyph: TBitmap

Description

Use this property to specify the bitmap used to indicate the calendar button

Use the NumCalendarGlyphs property to set the number of images on the graphic selected here


See Also

BtnDownGlyph Property

BtnUpGlyph Property

BtnClockGlyph Property

NumCalendarGlyphs Property


BtnClockGlyph Property

See Also

Applies to

TDateTimeDlg

Declaration

property BtnClockGlyph: TBitmap

Description

Use this property to specify the bitmap used to indicate the clock button

Use the NumClockGlyphs property to set the number of images on the graphic selected here


See Also

BtnDownGlyph Property

BtnUpGlyph Property

BtnCalendarGlyph Property

NumClockGlyphs Property


NumUpGlyphs Property

See Also

Applies to

TDateTimeDlg

Declaration

property NumUpGlyphs: TNumGlyphs

Description

Indicates the number of images that are in the graphic specified by the BtnUpGlyph property. See NumGlyphs in the Delphi help for more details


See Also

BtnUpGlyph Property

NumDownGlyphs Property

NumClockGlyphs Property

NumCalendarGlyphs Property


NumDownGlyphs Property

See Also

Applies to

TDateTimeDlg

Declaration

property NumDownGlyphs: TNumGlyphs

Description

Indicates the number of images that are in the graphic specified by the BtnDownGlyph property. See NumGlyphs in the Delphi help for more details


See Also

BtnDownGlyph Property

NumUpGlyphs Property

NumClockGlyphs Property

NumCalendarGlyphs Property


NumCalendarGlyphs Property

See Also

Applies to

TDateTimeDlg

Declaration

property NumCalendarGlyphs: TNumGlyphs

Description

Indicates the number of images that are in the graphic specified by the BtnCalendarGlyph property. See NumGlyphs in the Delphi help for more details


See Also

BtnCalendarGlyph Property

NumUpGlyphs Property

NumDownGlyphs Property

NumClockGlyphs Property


NumClockGlyphs Property

See Also

Applies to

TDateTimeDlg

Declaration

property NumClockGlyphs: TNumGlyphs

Description

Indicates the number of images that are in the graphic specified by the BtnClockGlyph property. See NumGlyphs in the Delphi help for more details


See Also

BtnClockGlyph Property

NumUpGlyphs Property

NumDownGlyphs Property

NumCalendarGlyphs Property


EnableEditor Property

Applies to

TDateTimeDlg

Declaration

property EnableEditor: Boolean

Description

This property indicates whether the user will be able to change the date/time by typing into the edit box or not. The default is False.


IncrementScale Property

See Also

Applies to

TDateTimeDlg

Declaration

property IncrementScale: TIncrementScale

Description

Indicates the scale that the date/time values are changed. See TIncrementScale Type for a list of valid time scales.


See Also

TIncrementScale Type

IncrementBy Property


TIncrementScale Type

See Also

Unit

DateTime

Declaration

TIncrementScale = (Year, Month, Week, Day, Hour, Minute, Second)

Description

Indicates the time divisions available to the component. This type is used for incrementing the date/time value when the user clicks the up or the down button.


See Also

IncrementScale Property

IncrementBy Property


IncrementBy Property

See Also

Applies to

TDateTimeDlg

Declaration

property IncrementBy: Integer

Description

Indicates the amount that the date/time value is increased or decreased when the user clicks the up or down buttons. The scale is defined by the IncrementScale property


See Also

IncrementScale Property

TIncrementScale_Type


   TDBDateTimeDlg Component

See Also	Properties

Unit

DateTime

Description

My aim for this component is to end the need for any Delphi developer to have to write another data aware date / time selection utility.

This component is descended from TDateTimeDlg, and is the data aware version of this component.

The About property provides details about the copyright, the version, and the author. For these details, see About TDBDateTimeDlg

In addition to these properties, methods, and events, this component also has the properties, methods, and events that apply to the TDateTimeDlg Component.

The author is available for employment. For details, see About TDBDateTimeDlg


TDateTimeDlg


Properties

About

BtnCalendarGlyph

BtnClockGlyph

BtnDownGlyph

BtnUpGlyph

Buttons

EnableEditor

IncrementBy

IncrementScale

NumCalendarGlyphs

NumClockGlyphs

NumDownGlyphs

NumUpGlyphs

DataField - See Delphi Help

DataSource - See Delphi Help


About TDBDateTimeDlg

See Also

TDBDateTimeDlg was written by John Stathakis (e-mail: JLSTATH@MAIL.ICON.CO.ZA)

Version: 1.00

1996, John Stathakis

You may use this product freely, however, the source code and related documentation may not be changed in any way without the written permission of the author. Please note that the author will not accept responsibility for any loss resulting from the use of this or any other component.

Please contact me if you have any enquiries or bug reports.

Note: The author is currently available for employment. Please forward enquiries in this regard to the above e-mail address. Preferred destinations in the following order: Australia, United States, United Kingdom. Other destinations will be considered.


About TDBDateTimeDlg Property
About Property

See Also

Applies to

TDBDateTimeDlg

Declaration

property About: TAbout

Description

This property does not set any attributes of the component, it simply indicates the author, copyright, and version details.


See Also

About TDateTimeDlg

About TDBDateTimeDlg